'use strict';

var React = require('react');
var dynamic = require('next/dynamic');
var router = require('next/router');

function Dashboard() {
    return React.createElement("h1", null, "Dashboard Component");
}

var index$2 = /*#__PURE__*/Object.freeze({
  __proto__: null,
  default: Dashboard
});

function Profile() {
    return React.createElement("h1", null, "Profile Component");
}

var index$1 = /*#__PURE__*/Object.freeze({
  __proto__: null,
  default: Profile
});

// Components mapping
var componentMap = {
    Dashboard: dynamic(function () { return Promise.resolve().then(function () { return index$2; }); }),
    Profile: dynamic(function () { return Promise.resolve().then(function () { return index$1; }); }),
};
function useDynamicRoutes(routesConfig) {
    var router$1 = router.useRouter();
    var _a = React.useState(null), currentRoute = _a[0], setCurrentRoute = _a[1];
    React.useEffect(function () {
        var handleDynamicRoutes = function (routeName) {
            var matchingRoute = routesConfig.find(function (route) { return route.name === routeName; });
            if (matchingRoute) {
                setCurrentRoute(matchingRoute.name);
                router$1.push(matchingRoute.path);
            }
            else {
                console.warn("Route ".concat(routeName, " not found"));
            }
        };
        // Expose to window for external control
        window.handleDynamicRoutes = handleDynamicRoutes;
    }, [router$1, routesConfig]);
    return currentRoute ? componentMap[currentRoute] : null;
}
// Component to dynamically render routes
function DynamicRouteRenderer(_a) {
    var routeName = _a.routeName;
    var Component = componentMap[routeName] || (function () { return React.createElement("p", null, "Route Not Found"); });
    return React.createElement(Component, null);
}
var index = { useDynamicRoutes: useDynamicRoutes, DynamicRouteRenderer: DynamicRouteRenderer };

exports.Dashboard = Dashboard;
exports.DynamicRoute = index;
exports.Profile = Profile;
//# sourceMappingURL=index.js.map
