import React, { useState, useEffect } from 'react';
import dynamic from 'next/dynamic';
import { useRouter } from 'next/router';

function Dashboard() {
    return React.createElement("h1", null, "Dashboard Component");
}

var index$2 = /*#__PURE__*/Object.freeze({
  __proto__: null,
  default: Dashboard
});

function Profile() {
    return React.createElement("h1", null, "Profile Component");
}

var index$1 = /*#__PURE__*/Object.freeze({
  __proto__: null,
  default: Profile
});

// Components mapping
var componentMap = {
    Dashboard: dynamic(function () { return Promise.resolve().then(function () { return index$2; }); }),
    Profile: dynamic(function () { return Promise.resolve().then(function () { return index$1; }); }),
};
function useDynamicRoutes(routesConfig) {
    var router = useRouter();
    var _a = useState(null), currentRoute = _a[0], setCurrentRoute = _a[1];
    useEffect(function () {
        var handleDynamicRoutes = function (routeName) {
            var matchingRoute = routesConfig.find(function (route) { return route.name === routeName; });
            if (matchingRoute) {
                setCurrentRoute(matchingRoute.name);
                router.push(matchingRoute.path);
            }
            else {
                console.warn("Route ".concat(routeName, " not found"));
            }
        };
        // Expose to window for external control
        window.handleDynamicRoutes = handleDynamicRoutes;
    }, [router, routesConfig]);
    return currentRoute ? componentMap[currentRoute] : null;
}
// Component to dynamically render routes
function DynamicRouteRenderer(_a) {
    var routeName = _a.routeName;
    var Component = componentMap[routeName] || (function () { return React.createElement("p", null, "Route Not Found"); });
    return React.createElement(Component, null);
}
var index = { useDynamicRoutes: useDynamicRoutes, DynamicRouteRenderer: DynamicRouteRenderer };

export { Dashboard, index as DynamicRoute, Profile };
//# sourceMappingURL=index.js.map
